Page MenuHomePhabricator

Enable logging of MobileWebSearch events
Closed, ResolvedPublic2 Story Points

Description

T96326 details the implementation of the MobileWebSearch event logging. Soon after it got derployed it very-nearly-almost melted the EventLogging infrastructure. It was promptly disabled.

Acceptance Criteria
  • MobileWebSearch event logging is enabled – at the very least, 209296 is reverted)
Questions
  • Is marking the SchemaMobileWebSearch class as sampled enough? MobileWebSearch events share a couple of identifiers so we track a user's search experience from opening the search UI to clicking on a result. The existing sampling implementation is per Schema#log call. This might have to be configured as an experiment.

Event Timeline

phuedx created this task.May 20 2015, 2:39 PM
phuedx raised the priority of this task from to Needs Triage.
phuedx updated the task description. (Show Details)
phuedx added a subscriber: phuedx.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 20 2015, 2:39 PM
phuedx renamed this task from Enable logging of MobileWebSearch events to (2) Enable logging of MobileWebSearch events.May 20 2015, 6:26 PM
phuedx set Security to None.

Change 213961 had a related patch set uploaded (by Bmansurov):
Generalize the Schema sampling code

https://gerrit.wikimedia.org/r/213961

KLans_WMF renamed this task from (2) Enable logging of MobileWebSearch events to Enable logging of MobileWebSearch events.May 27 2015, 5:10 PM
KLans_WMF edited a custom field.
Restricted Application added a project: Notice. · View Herald TranscriptMay 28 2015, 4:17 PM
phuedx moved this task from Unscheduled to June 1-5 on the Roadmap board.May 28 2015, 4:17 PM

Change 213961 merged by jenkins-bot:
Generalize the Schema sampling code

https://gerrit.wikimedia.org/r/213961

phuedx closed this task as Resolved.May 29 2015, 9:48 AM
phuedx added a subscriber: Ironholds.

@Ironholds: @bmansurov's change will go out with the next release. It re-enables MobileWebSearch logging for 0.1% of users.

gpaumier moved this task from Backlog to Archive on the Notice board.May 29 2015, 8:22 PM